﻿default['sqlserver']['iso_name'] = "SQLServer2014SP2-FullSlipstream-x64-ENU.iso"
default['sqlserver']['remote_file_path'] = "#{Chef::Config[:cache_path]}"
default['sqlserver']['remote_file_source'] = "http://care.dlservice.microsoft.com/dl/download/6/D/9/6D90C751-6FA3-4A78-A78E-D11E1C254700/SQLServer2014SP2-FullSlipstream-x64-ENU.iso"
default['sqlserver']['volume_name'] = "SQL2014_x64_ENU"


default['sqlserver']['FEATURES'] = 'SQLEngine,SSMS,FullText'
default['sqlserver']['INSTANCENAME'] = 'MSSQLSERVER'
default['sqlserver']['IAcceptSQLServerLicenseTerms'] = 'true'
default['sqlserver']['SQLSVCACCOUNT'] = 'NT AUTHORITY\\NETWORK SERVICE'
default['sqlserver']['AGTSVCACCOUNT'] = 'NT Service\\SQLSERVERAGENT'
default['sqlserver']['SECURITYMODE'] = 'SQL'
default['sqlserver']['SAPWD'] = 'JUhsd82.!#'
default['sqlserver']['TCPENABLED'] = '1'
default['sqlserver']['ADDCURRENTUSERASSQLADMIN'] = 'false'
default['sqlserver']['SQLUSERDBLOGDIR'] = 'c:\\sqllog'
default['sqlserver']['INSTALLSQLDATADIR'] = 'c:\\sqldata'
default['sqlserver']['SQLBACKUPDIR'] = 'c:\\sqlbackup'
default['sqlserver']['SQLTEMPDBDIR'] = "#{node[:sqlserver][:INSTALLSQLDATADIR]}"
default['sqlserver']['SQLTEMPDBLOGDIR'] = "#{node[:sqlserver][:SQLUSERDBLOGDIR]}"



if "#{ENV['USERDOMAIN']}" == "#{ENV['COMPUTERNAME']}"
	default['sqlserver']['SQLSYSADMINACCOUNTS'] = "\"#{ENV['COMPUTERNAME']}\\Users\""
else
	default['sqlserver']['SQLSYSADMINACCOUNTS'] = "\"#{node[:domain]}\\Domain Users\" \"#{node[:domain]}\\Domain Computers\""
end



